##parameters=
# $Id: getWAeUPVocabularies.py 136 2005-11-01 13:21:20Z joachim $
"""Return custom vocabularies."""
##'xxx_voc': {
##        'type': 'CPS Vocabulary',
##        'data': {'tuples': (
##            ('', "", ''),
##            )},
##        },
##vocabluaries['xxx'] = xxx_voc

vocabularies = {}

nigerian_states_voc = {
        'type': 'CPS Vocabulary',
        'data': {'tuples': (
            ('abia', "Abia", ''),
            ('adam', "Adamawa", ''),
            ('akwa', "Akwa Ibom", ''),
            ('anam', "Anambra", ''),
            ('bauchi', "Bauchi", ''),
            ('baye', "Bayelsa", ''),
            ('benu', "Benue", ''),
            ('born', "Borno", ''),
            ('cro', "Cross River", ''),
            ('delt', "Delta", ''),
            ('ebon', "Ebonyi", ''),
            ('edo', "edo", ''),
            ('ekit', "Ekiti", ''),
            ('enug', "Enugu", ''),
            ('gomb', "Gombe", ''),
            ('imo', "Imo", ''),
            ('jiga', "Jigawa", ''),
            ('kad', "Kaduna", ''),
            ('kano', "Kano", ''),
            ('kats', "Katsina", ''),
            ('keb', "Kebbi", ''),
            ('kogi', "Kogi", ''),
            ('kwar', "Kwara", ''),
            ('lag', "Lagos", ''),
            ('nasa', "Nasawara", ''),
            ('nige', "Niger", ''),
            ('ogun', "Ogun", ''),
            ('ondo', "Ondo", ''),
            ('osun', "Osun", ''),
            ('oyo', "oyo", ''),
            ('plat', "Plateau", ''),
            ('riv', "Rivers", ''),
            ('sok', "Sokoto", ''),
            ('tar', "Taraba", ''),
            ('yobe', "Yobe", ''),
            ('zam', "Zamfara", ''),
            ('fct', "FCT", ''),
            )},
        }
vocabularies['nigerian_states'] = nigerian_states_voc

faculties_voc = {
        'type': 'CPS Vocabulary',
        'data': {'tuples': (
            ('agri', "Agriculture", ''),
            ('arts', "Arts", ''),
            ('bmed', "Basic Med Sciences", ''),
            ('edu', "Education", ''),
            ('eng', "Engeneering", ''),
            ('law', "Law", ''),
            ('phar', "Pharmacy", ''),
            ('sod', "School of Denistry", ''),
            ('som', "School of Medicine", ''),
            ('sci', "Science", ''),
            ('soc', "Social Science", ''),
            )},
        }
vocabularies['faculties'] = faculties_voc
level_voc = {
        'type': 'CPS Vocabulary',
        'data': {'tuples': (
            ('100', "Year 1 (100 Level)", ''),
            ('200', "Year 2 (200 Level)", ''),
            ('300', "Year 3 (300 Level)", ''),
            ('400', "Year 4 (100 Level)", ''),
            )},
        }
vocabularies['courselevel'] = level_voc

vocabularies['range5'] = {'type': 'CPS Vocabulary',
                               'data': {'tuples': ([('%d' % i, '%d' % i ,'') for i in range(1,6)])},
                          }
vocabularies['range10'] = {'type': 'CPS Vocabulary',
                               'data': {'tuples': ([('%d' % i, '%d' % i,'') for i in range(1,11)])},
                          }
vocabularies['range20'] = {'type': 'CPS Vocabulary',
                               'data': {'tuples': ([('%d' % i, '%d' % i,'') for i in range(1,21)])},
                          }
vocabularies['range50'] = {'type': 'CPS Vocabulary',
                               'data': {'tuples': ([('%d' % i, '%d' % i,'') for i in range(1,51)])},
                          }
##'xxx_voc': {
##        'type': 'CPS Vocabulary',
##        'data': {'tuples': (
##            ('', "", ''),
##            )},
##        },


return vocabularies
